---
features:
  secondary:
  - name: "Connect to Kubernetes clusters with the GitLab CLI"
    available_in: [core, premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/user/clusters/agent/user_access.html#access-a-cluster-with-the-kubernetes-api'
    reporter: nagyv-gitlab
    stage: deploy
    categories:
    - GitLab CLI
    - Deployment Management
    epic_url: 'https://gitlab.com/groups/gitlab-org/-/epics/11455'
    description: |
      From GitLab version 16.4, you can connect to a Kubernetes cluster from a local terminal using the agent for Kubernetes and a personal access token. In the initial version, setting up the local cluster configuration required several commands and a long lived access token. In the past month, we worked to streamline and improve the security of the set up process by extending the GitLab CLI.

      The GitLab CLI can now list the agent connections available from a GitLab project checkout directory or the specified project. You can set up the connection through a selected agent with a dedicated command. When `kubectl` or any other tool needs to authenticate with the cluster, the GitLab CLI generates a temporary, restricted token for the signed-in user.
